Issue 85297 - Importing 65536 rows CSV incorrectly informs it exceeded the row limit
Summary: Importing 65536 rows CSV incorrectly informs it exceeded the row limit
Status: CLOSED FIXED_WITHOUT_CODE
Alias: None
Product: Calc
Classification: Application
Component: open-import (show other issues)
Version: OOo 2.3.1
Hardware: All All
: P3 Trivial with 3 votes (vote)
Target Milestone: 4.2.0
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-16 16:15 UTC by fedetxf
Modified: 2017-05-06 06:49 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
bziped CSV file with 65536 rows (1.07 MB, application/x-bzip2)
2008-01-16 16:19 UTC, fedetxf
no flags Details
Warning message screenshot (2.78 KB, image/png)
2008-01-16 16:19 UTC, fedetxf
no flags Details
A correct example file (373.15 KB, text/plain)
2010-01-30 18:40 UTC, parity
no flags Details
CSV file with 65536 rows, no eol (373.15 KB, text/plain)
2010-01-30 22:16 UTC, bitsfritz
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description fedetxf 2008-01-16 16:15:44 UTC
I created a 65,536 row csv file (semicolon separated). Calc imports it
perfectly, I checked the first and last rows and they are OK, but a warning
message appears telling me the maximum number of rows was exceded and additional
rows will not be imported. The thing is there are no additional rows and the
file is completely imported.
If I import it to MS Excel and save it as xls and reimport it in Calc the
warning does not appear.
Comment 1 fedetxf 2008-01-16 16:19:06 UTC
Created attachment 50909 [details]
bziped CSV file with 65536 rows
Comment 2 fedetxf 2008-01-16 16:19:47 UTC
Created attachment 50910 [details]
Warning message screenshot
Comment 3 amy2008 2008-09-18 04:53:16 UTC
Confirmed in OOo3.0_RC1 on WinXP
Comment 4 parity 2010-01-30 15:33:25 UTC
I can confirm this issue using Ubuntu Karmic Koala and OOo 3.2RC4.
Comment 5 Stefan Weigel 2010-01-30 16:51:02 UTC
I would rather say this Issue is INVALID.

When I open your CSV file with gedit GNOME text editor with display of line
numbers on, it shows me line number 65537 with an empty line at the end of the file.

If I ask gedit document statistics, it shows me 65537 as the number of lines in
your document.



Comment 6 parity 2010-01-30 16:55:07 UTC
I have not checked the attached file, but it is definitely a bug.

Calc throws this message if there is a "newline" character at the end of the
line 65536. No matter if there is a line 65537.
Comment 7 parity 2010-01-30 18:40:43 UTC
Created attachment 67488 [details]
A correct example file
Comment 8 Stefan Weigel 2010-01-30 19:36:17 UTC
Confirming issue with attachment 67488 [details], which contains 65536 rows. 

(Attachment 50909 [details] contains 65537 rows, though.)
Comment 9 bitsfritz 2010-01-30 22:16:17 UTC
Created attachment 67489 [details]
CSV file with 65536 rows, no eol
Comment 10 bitsfritz 2010-01-30 22:25:52 UTC
Created attachment (id=67489) - 65536 rows without end of line.
Same result.

So assumed linefeederror in
http://de.openoffice.org/servlets/ReadMsg?list=dev&msgNo=42973 (german) should
not be the reason.
Comment 11 parity 2010-01-31 07:23:13 UTC
I just checked another thing:
1. Start OOo Calc
2. Type 1 in cell A1
3. Type 65536 in cell A65536
4. Save as csv-file with standard setting.

Reopen the file. You will get the warning, that not all data could be imported.
Comment 12 damjan 2016-04-06 17:57:16 UTC
Even 65540 rows can be imported now, with no warnings. Neither does the test in comment 11 cause a warning. This must have been fixed some time ago. Resolving fixed.